com.typesafe.config.parser

## Interface ConfigNode

    public interface ConfigNode

A node in the syntax tree for a HOCON or JSON document.

Note: at present there is no way to obtain an instance of this interface, so please ignore it. A future release will make syntax tree nodes available in the public API. If you are interested in working on it, please see: https://github.com/typesafehub/config/issues/300

Because this object is immutable, it is safe to use from multiple threads and there's no need for "defensive copies."

Do not implement interface `ConfigNode`; it should only be implemented by the config library. Arbitrary implementations will not work because the library internals assume a specific concrete implementation. Also, this interface is likely to grow new methods over time, so third-party implementations will break.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `render()` The original text of the input which was used to form this particular node.

### Method Detail

#### render

    java.lang.String render()

The original text of the input which was used to form this particular node.

Returns:
  the original text used to form this node as a String